package com.playlet.system.service.impl;

import java.util.List;
import com.playlet.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.playlet.system.mapper.PublicCommentStarMapper;
import com.playlet.system.domain.PublicCommentStar;
import com.playlet.system.service.IPublicCommentStarService;
import com.playlet.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 用户评论点赞Service业务层处理
 *
 * @author ruoyi
 * @date 2024-06-26
 */
@Service
public class PublicCommentStarServiceImpl extends ServiceImpl<PublicCommentStarMapper, PublicCommentStar> implements IPublicCommentStarService
{
    @Autowired
    private PublicCommentStarMapper publicCommentStarMapper;

    /**
     * 查询用户评论点赞
     *
     * @param id 用户评论点赞主键
     * @return 用户评论点赞
     */
    @Override
    public PublicCommentStar selectPublicCommentStarById(Long id)
    {
        return publicCommentStarMapper.selectPublicCommentStarById(id);
    }

    /**
     * 查询用户评论点赞列表
     *
     * @param publicCommentStar 用户评论点赞
     * @return 用户评论点赞
     */
    @Override
    public List<PublicCommentStar> selectPublicCommentStarList(PublicCommentStar publicCommentStar)
    {
        return publicCommentStarMapper.selectPublicCommentStarList(publicCommentStar);
    }

    /**
     * 新增用户评论点赞
     *
     * @param publicCommentStar 用户评论点赞
     * @return 结果
     */
    @Override
    public int insertPublicCommentStar(PublicCommentStar publicCommentStar)
    {
        publicCommentStar.setCreateTime(DateUtils.getNowDate());
        return publicCommentStarMapper.insertPublicCommentStar(publicCommentStar);
    }

    /**
     * 修改用户评论点赞
     *
     * @param publicCommentStar 用户评论点赞
     * @return 结果
     */
    @Override
    public int updatePublicCommentStar(PublicCommentStar publicCommentStar)
    {
        publicCommentStar.setUpdateTime(DateUtils.getNowDate());
        return publicCommentStarMapper.updatePublicCommentStar(publicCommentStar);
    }

    /**
     * 批量删除用户评论点赞
     *
     * @param ids 需要删除的用户评论点赞主键
     * @return 结果
     */
    @Override
    public int deletePublicCommentStarByIds(String ids)
    {
        return publicCommentStarMapper.deletePublicCommentStarByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除用户评论点赞信息
     *
     * @param id 用户评论点赞主键
     * @return 结果
     */
    @Override
    public int deletePublicCommentStarById(Long id)
    {
        return publicCommentStarMapper.deletePublicCommentStarById(id);
    }
}
